OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_ContextDependentShapeRepresentation Class Reference

`#include <StepShape_ContextDependentShapeRepresentation.hxx>`

## Public Member Functions
Standard_EXPORT | StepShape_ContextDependentShapeRepresentation ()
Standard_EXPORT void | Init (const Handle(StepRepr_ShapeRepresentationRelationship)&aRepRel, const Handle(StepRepr_ProductDefinitionShape)&aProRel)
Standard_EXPORT Handle_StepRepr_ShapeRepresentationRelationship | RepresentationRelation () const
Standard_EXPORT void | SetRepresentationRelation (const Handle(StepRepr_ShapeRepresentationRelationship)&aRepRel)
Standard_EXPORT Handle_StepRepr_ProductDefinitionShape | RepresentedProductRelation () const
Standard_EXPORT void | SetRepresentedProductRelation (const Handle(StepRepr_ProductDefinitionShape)&aProRel)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_ShapeRepresentationRelationship | theRepRel
Handle_StepRepr_ProductDefinitionShape | theProRel

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ContextDependentShapeRepresentation::StepShape_ContextDependentShapeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_ContextDependentShapeRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_ContextDependentShapeRepresentation::Init | ( | const Handle(StepRepr_ShapeRepresentationRelationship)& | aRepRel,
|  | const Handle(StepRepr_ProductDefinitionShape)& | aProRel
| ) |

Standard_EXPORT Handle_StepRepr_ShapeRepresentationRelationship StepShape_ContextDependentShapeRepresentation::RepresentationRelation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ProductDefinitionShape StepShape_ContextDependentShapeRepresentation::RepresentedProductRelation | ( |  | ) | const

Standard_EXPORT void StepShape_ContextDependentShapeRepresentation::SetRepresentationRelation | ( | const Handle(StepRepr_ShapeRepresentationRelationship)& | aRepRel | ) |

Standard_EXPORT void StepShape_ContextDependentShapeRepresentation::SetRepresentedProductRelation | ( | const Handle(StepRepr_ProductDefinitionShape)& | aProRel | ) |

## Field Documentation

Handle_StepRepr_ProductDefinitionShape StepShape_ContextDependentShapeRepresentation::theProRel`[private]`

Handle_StepRepr_ShapeRepresentationRelationship StepShape_ContextDependentShapeRepresentation::theRepRel`[private]`

The documentation for this class was generated from the following file:

- StepShape_ContextDependentShapeRepresentation.hxx